Subject: Re: [PATCH net v1] net: defer __dev_set_promiscuity() to avoid sleeping in atomic context

From: Stanislav Fomichev <[email-masked]>
Date: Fri, 20 Feb 2026 22:22:19 -0800

On 02/20, Jakub Kicinski wrote:
> On Fri, 20 Feb 2026 17:15:00 -0800 Stanislav Fomichev wrote:
> > Hmm, interesting, I haven't seen that.
> 
> FWIW it was one of the "public TODOs" I put together a while back.
> Not sure if the version posted by I Viswanath was converging fast
> enough to be worth reusing. Up to you.

I feel like it will take me awhile to figure out the instance locking
(looking back at the lockdep issues we had), but happy to help with
the other parts if I get there first..